| NFFT 3.5.0

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions | Variables
nfsft.c File Reference

Implementation file for the NFSFT module. More...

`#include "config.h"`
`#include <math.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "nfft3.h"`
`#include "infft.h"`
`#include "legendre.h"`
`#include "api.h"`
Include dependency graph for nfsft.c:

Go to the source code of this file.

## Macros
#define | NFSFT_DEFAULT_NFFT_CUTOFF 6
| The default NFFT cutoff parameter. More...
#define | NFSFT_DEFAULT_THRESHOLD 1000
| The default threshold for the FPT. More...
#define | NFSFT_BREAK_EVEN 5
| The break-even bandwidth . More...

## Functions
static void | c2e (nfsft_plan *plan)
| Converts coefficients with , from a linear combination of Chebyshev polynomials to coefficients matching the representation by complex exponentials for each order . More...
static void | c2e_transposed (nfsft_plan *plan)
| Transposed version of the function c2e. More...
void | nfsft_init (nfsft_plan *plan, int N, int M)
void | nfsft_init_advanced (nfsft_plan *plan, int N, int M, unsigned int flags)
void | nfsft_init_guru (nfsft_plan *plan, int N, int M, unsigned int flags, unsigned int nfft_flags, int nfft_cutoff)
void | nfsft_precompute (int N, double kappa, unsigned int nfsft_flags, unsigned int fpt_flags)
void | nfsft_forget (void)
void | nfsft_finalize (nfsft_plan *plan)
static void | nfsft_set_f_nan (nfsft_plan *plan)
void | nfsft_trafo_direct (nfsft_plan *plan)
static void | nfsft_set_f_hat_nan (nfsft_plan *plan)
void | nfsft_adjoint_direct (nfsft_plan *plan)
void | nfsft_trafo (nfsft_plan *plan)
void | nfsft_adjoint (nfsft_plan *plan)
void | nfsft_precompute_x (nfsft_plan *plan)

## Variables
static struct nfsft_wisdom | wisdom = {false,0U,-1,-1,0,0,0,0,0}
| The global wisdom structure for precomputed data. More...

## Detailed Description

Implementation file for the NFSFT module.

Author
  Jens Keiner

Definition in file nfsft.c.